<?php

defined('MOODLE_INTERNAL') || die;

if ($ADMIN->fulltree) {

    $choices = array('1' => 'General', '2' => 'ASPS');
    $settings->add(new admin_setting_heading('filter_aspscheckreferrer_info1', '', 'General Use: Block access from defined IPs/Referrers to defined Sections/Urls. If no Sections/Urls defined, block access to all site from defined IPs/Referrers.'));
    $settings->add(new admin_setting_heading('filter_aspscheckreferrer_info2', '', 'ASPS Use: Allow access from defined IPs/Referrers to defined Sections/Urls. If no Sections/Urls defined, allow access to all site only from defined IPs/Referrers.'));
    $settings->add(new admin_setting_configselect('filter_aspscheckreferrer_use', 'Use','', '', $choices));
    $settings->add(new admin_setting_configtextarea('filter_aspscheckreferrer_ips', 'IPs ( separated by comma ) : ', '', ''));
    $settings->add(new admin_setting_configtextarea('filter_aspscheckreferrer_referrers', 'Referrers ( separated by comma ) : ','', ''));
    $settings->add(new admin_setting_configtextarea('filter_aspscheckreferrer_urls', 'Urls ( separated by comma ) : ','', ''));
    $settings->add(new admin_setting_configtextarea('filter_aspscheckreferrer_sections', 'Sections ( separated by comma ) : ','', ''));
}
